#include "FPSCounter.h"

#include "Timer.h"

FPSCounter::FPSCounter()
{
	CurrentFPS = 0.0f;
	FPSFrame = 0;
	StartTime = Timer::Ticks();
}

void FPSCounter::NewFrame()
{
	FPSFrame++;

	double CurrentTime = Timer::Ticks();
	double ElapsedTime = CurrentTime - StartTime;

	if(ElapsedTime >= FPS_UPDATE)
	{
		CurrentFPS = (float)FPSFrame / (float)ElapsedTime;

		FPSFrame = 0;
		StartTime = CurrentTime;
	}
}